Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ArtifactIdentifier

    public interface ArtifactIdentifier

The identifier for a module artifact.

Method Summary
`String` | `getClassifier()` Returns the classifier of this dependency artifact.
`String` | `getExtension()` Returns the extension of this dependency artifact.
`ModuleVersionIdentifier` | `getModuleVersionIdentifier()` Returns the identifier of the module that owns this artifact.
`String` | `getName()` Returns the name of the dependency artifact.
`String` | `getType()` Returns the type of the dependency artifact.

Method Detail

### getClassifier

    public String getClassifier()

  Returns the classifier of this dependency artifact.

### getExtension

    public String getExtension()

  Returns the extension of this dependency artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy xml module descriptor, the type is ivy and the extension is xml.
  See Also:
    getType()

### getModuleVersionIdentifier

    public ModuleVersionIdentifier getModuleVersionIdentifier()

  Returns the identifier of the module that owns this artifact.

### getName

    public String getName()

  Returns the name of the dependency artifact.

### getType

    public String getType()

  Returns the type of the dependency artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy xml module descriptor, the type is ivy and the extension is xml.
  See Also:
    getExtension()

Gradle API 1.1-rc-1